Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Class UserLockoutManagerImpl

    java.lang.Object
      |
      +--weblogic.management.security.BaseMBeanImpl
            |
            +--weblogic.management.security.authentication.UserLockoutManagerImpl

public class UserLockoutManagerImpl
extends BaseMBeanImpl

The base class of all authentication provider mbean implementations that wish to manage user lockout through the weblogic console.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UserLockoutManagerImpl(javax.management.modelmbean.RequiredModelMBean base)` Class constructor specifying the corresponding required model mbean.

Method Summary
`void` | `clearLockout(java.lang.String userName)` Unlocked a user's account
`long` | `getInvalidLoginAttemptsTotalCount()` Return the current invalid user login attempt total
`long` | `getInvalidLoginUsersHighCount()` Return the maximum high water count of user lockouts
`long` | `getLastLoginFailure(java.lang.String userName)` Returns the timestamp of the user account's last login failure
`long` | `getLockedUsersCurrentCount()` Return the current locked user count
`long` | `getLoginAttemptsWhileLockedTotalCount()` Return the current number of login attempts that occurred during user lockout
`long` | `getLoginFailureCount(java.lang.String userName)` Return the current login failure count for this user account
`long` | `getUnlockedUsersTotalCount()` Return the number of users accounts that have been unlocked
`long` | `getUserLockoutTotalCount()` Return the current user lockout total
`boolean` | `isLockedOut(java.lang.String userName)` Test to determine is a user account is locked

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserLockoutManagerImpl

    public UserLockoutManagerImpl(javax.management.modelmbean.RequiredModelMBean base)
                           throws javax.management.MBeanException

  Class constructor specifying the corresponding required model mbean.

  Parameters:
    `base` - required model mbean for this mbean implementation
  Throws:
    javax.management.MBeanException - Description of the Exception

Method Detail

### getUserLockoutTotalCount

    public long getUserLockoutTotalCount()
                                  throws javax.management.MBeanException

  Return the current user lockout total

  Returns:
    The userLockoutTotalCount value
  Throws:
    javax.management.MBeanException - Description of the Exception

### getInvalidLoginAttemptsTotalCount

    public long getInvalidLoginAttemptsTotalCount()
                                           throws javax.management.MBeanException

  Return the current invalid user login attempt total

  Returns:
    The invalidLoginAttemptsTotalCount value
  Throws:
    javax.management.MBeanException - Description of the Exception

### getLoginAttemptsWhileLockedTotalCount

    public long getLoginAttemptsWhileLockedTotalCount()
                                               throws javax.management.MBeanException

  Return the current number of login attempts that occurred during user lockout

  Returns:
    The loginAttemptsWhileLockedTotalCount value
  Throws:
    javax.management.MBeanException - Description of the Exception

### getInvalidLoginUsersHighCount

    public long getInvalidLoginUsersHighCount()
                                       throws javax.management.MBeanException

  Return the maximum high water count of user lockouts

  Returns:
    The invalidLoginUsersHighCount value
  Throws:
    javax.management.MBeanException - Description of the Exception

### getUnlockedUsersTotalCount

    public long getUnlockedUsersTotalCount()
                                    throws javax.management.MBeanException

  Return the number of users accounts that have been unlocked

  Returns:
    The unlockedUsersTotalCount value
  Throws:
    javax.management.MBeanException - Description of the Exception

### getLockedUsersCurrentCount

    public long getLockedUsersCurrentCount()
                                    throws javax.management.MBeanException

  Return the current locked user count

  Returns:
    The lockedUsersCurrentCount value
  Throws:
    javax.management.MBeanException - Description of the Exception

### isLockedOut

    public boolean isLockedOut(java.lang.String userName)
                        throws javax.management.MBeanException

  Test to determine is a user account is locked

  Parameters:
    `userName` - The user account to check
  Returns:
    The lockedOut value
  Throws:
    javax.management.MBeanException - Description of the Exception

### getLastLoginFailure

    public long getLastLoginFailure(java.lang.String userName)
                             throws javax.management.MBeanException

  Returns the timestamp of the user account's last login failure

  Parameters:
    `userName` - The user account
  Returns:
    The lastLoginFailure value
  Throws:
    javax.management.MBeanException - Description of the Exception

### getLoginFailureCount

    public long getLoginFailureCount(java.lang.String userName)
                              throws javax.management.MBeanException

  Return the current login failure count for this user account

  Parameters:
    `userName` - The user account
  Returns:
    The loginFailureCount value
  Throws:
    javax.management.MBeanException - Description of the Exception

### clearLockout

    public void clearLockout(java.lang.String userName)
                      throws javax.management.MBeanException

  Unlocked a user's account

  Parameters:
    `userName` - The user to unlock
  Throws:
    javax.management.MBeanException - Description of the Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD